Debian Bug report logs - #356081
aprsd doesnt allow a JavAPRS filter to be specified

version graph

Package: aprsd; Maintainer for aprsd is Debian Hamradio Maintainers <debian-hams@lists.debian.org>; Source for aprsd is src:aprsd.

Reported by: g7iii@g7iii.net

Date: Thu, 9 Mar 2006 16:18:20 UTC

Severity: wishlist

Tags: patch, sid, upstream

Found in version aprsd/1:2.2.5-13-3

Fixed in version aprsd/1:2.2.5-13-5

Done: Joop Stakenborg <pa3aba@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#356081; Package aprsd. Full text and rfc822 format available.

Acknowledgement sent to g7iii@g7iii.net:
New Bug report received and forwarded. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: g7iii@g7iii.net
To: submit@bugs.debian.org
Subject: aprsd doesnt allow a JavAPRS filter to be specified
Date: Thu, 9 Mar 2006 16:16:41 +0000
Package: aprsd
Version: 1:2.2.5-13-3
Severity: wishlist
Tags: patch,sid,upstream


Hi Hamish,

aprsd doesnt allow a JavAPRS filter to be specified when it connects
to servers/hubs/igates. Typically you need to do this if you connect
to the user defined filter port (14580) on a remote javAPRS host.

Patch to extend the igate lines in aprsd.conf is attached, along
with some documentation in aprsd.conf. The patch is real simple
(I don't even know C++...)

Would you consider including it in the debian build, or even pushing
it upstream ? I only did it on igate lines because: a) That suited my
needs, and b) It was quick and easy. Patch could be easily extended
to hit server and hub lines as well.


I use this so I can just pull the telemetry from PCSAT, PCSAT2, and
friends, and then connect multiple aprstlm clients to my local (same LAN)
aprsd server, instead of connecting them all up to a Tier 2 server.

I guess this is a slightly different use for aprsd than a lot of folks,
but no less valid, and does help reduce my bandwidth requirements.


All the Best

Iain


diff -uprN aprsd-2.2.5-13/admin/aprsd.conf aprsd-2.2.5-13-iii/admin/aprsd.conf
--- aprsd-2.2.5-13/admin/aprsd.conf	2006-02-28 16:11:09.122713640 +0000
+++ aprsd-2.2.5-13-iii/admin/aprsd.conf	2006-03-09 15:57:27.749412960 +0000
@@ -211,6 +211,23 @@ Server first.aprs.net 23 hub-sr
 #server wv.aprs.net 1313
 #---------------------------------
 #
+#Igate connections
+#
+# Igate connections are client connections for connecting to remote igate
+# servers etc. G7III extended their functionality to be able to specify a
+# filter to a JavAPRS server for use on a user defined port. General
+# format is:
+#
+#igate <server> <port> <user> <passcode> <filter>
+#
+#passcode should be -1 unless you *intend* to send data upstream to
+#the remote igate. Example:
+#
+# Grab all APRS packets from PCSAT and PCSAT2
+#
+#igate fred.aprs.net 14580 Z0ZZZ -1 p/w3ado/pcsat
+#
+#---------------------------------
 #Define server listen ports
 #Read ports.html for more info.
 #
diff -uprN aprsd-2.2.5-13/src/aprsd.cpp aprsd-2.2.5-13-iii/src/aprsd.cpp
--- aprsd-2.2.5-13/src/aprsd.cpp	2006-02-28 16:11:08.456814872 +0000
+++ aprsd-2.2.5-13-iii/src/aprsd.cpp	2006-03-09 15:55:54.583576320 +0000
@@ -395,6 +395,9 @@ int serverConfig(const string& cf)
                     if (nTokens >= 5)
                         cpIGATE[m].pass = strdup(token[4].c_str()); //Get Passcode
 
+                    if (nTokens >= 6)
+                        cpIGATE[m].filter = strdup(token[5].c_str()); //Get Filter String
+
                     /* If passcode is valid allow the this server to send data up stream */
                     if ((validate(cpIGATE[m].user, cpIGATE[m].pass,APRSGROUP, APRS_PASS_ALLOW) == 0)){
                         cpIGATE[m].mode = MODE_RECV_SEND;
diff -uprN aprsd-2.2.5-13/src/servers.cpp aprsd-2.2.5-13-iii/src/servers.cpp
--- aprsd-2.2.5-13/src/servers.cpp	2006-02-28 16:11:08.520805144 +0000
+++ aprsd-2.2.5-13-iii/src/servers.cpp	2006-03-09 15:54:39.679963400 +0000
@@ -2715,6 +2715,8 @@ ConnectParams* getNextHub(ConnectParams*
                     << pcp->pass
                     << " vers "
                     << VERS
+                    << " filter "
+                    << pcp->filter
                     << "\r\n";
 
                 //Send logon string to IGATE or Hub
diff -uprN aprsd-2.2.5-13/src/servers.h aprsd-2.2.5-13-iii/src/servers.h
--- aprsd-2.2.5-13/src/servers.h	2003-05-29 04:09:39.000000000 +0100
+++ aprsd-2.2.5-13-iii/src/servers.h	2006-03-09 15:54:39.685962488 +0000
@@ -71,6 +71,7 @@ struct ConnectParams {
     string user;
     //char* pass;
     string pass;
+    string filter;
     //char* remoteIgateInfo;
     string remoteIgateInfo;
     int   nCmds;



Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#356081; Package aprsd. Full text and rfc822 format available.

Acknowledgement sent to g7iii@g7iii.net:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #10 received at 356081@bugs.debian.org (full text, mbox):

From: g7iii@g7iii.net
To: 356081@bugs.debian.org
Subject: Okay, Me Bad
Date: Fri, 10 Mar 2006 13:00:20 +0000
Hi Hamish,

Okay, I should learn to read the code closer. Works on Hub lines as
well (Of Course - Duh). Not tested server lines specifically. Feel
free to drop or change the documentation part of the patch, as it's
incorrect, and I didnt realise Igate connections were depreceated


Iain




Reply sent to Joop Stakenborg <pa3aba@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to g7iii@g7iii.net:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 356081-close@bugs.debian.org (full text, mbox):

From: Joop Stakenborg <pa3aba@debian.org>
To: 356081-close@bugs.debian.org
Subject: Bug#356081: fixed in aprsd 1:2.2.5-13-5
Date: Fri, 21 Mar 2008 12:47:03 +0000
Source: aprsd
Source-Version: 1:2.2.5-13-5

We believe that the bug you reported is fixed in the latest version of
aprsd, which is due to be installed in the Debian FTP archive:

aprsd_2.2.5-13-5.diff.gz
  to pool/main/a/aprsd/aprsd_2.2.5-13-5.diff.gz
aprsd_2.2.5-13-5.dsc
  to pool/main/a/aprsd/aprsd_2.2.5-13-5.dsc
aprsd_2.2.5-13-5_i386.deb
  to pool/main/a/aprsd/aprsd_2.2.5-13-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 356081@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joop Stakenborg <pa3aba@debian.org> (supplier of updated aprsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 21 Mar 2008 13:02:55 +0100
Source: aprsd
Binary: aprsd
Architecture: source i386
Version: 1:2.2.5-13-5
Distribution: unstable
Urgency: low
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Changed-By: Joop Stakenborg <pa3aba@debian.org>
Description: 
 aprsd      - Internet Gateway for the Automatic Position Reporting System
Closes: 242497 277788 319725 356081 356110 356237 456059 469217
Changes: 
 aprsd (1:2.2.5-13-5) unstable; urgency=low
 .
   * Patch for munging packets with non-print chars. Thanks Kevin, N8VNR.
     Closes: #242497.
   * Confirm NMU, FTBFS with GCC 4.3: missing #includes. Closes: #456059.
   * Confirm NMU, LSB formatted dependency info in init.d script.
     Closes: #469217.
   * Fix http server output by using VALIGN="MIDDLE" instead of
     VALIGN="CENTER". Thanks Jari, OH2LNA. Closes: #277788.
   * Remove logfiles when purging the package. Closes: #319725.
   * Fix count of connected users, thanks Iain, g7iii.
     Closes: #356237.
   * Patch by Iain to allow a JavAPRS filter to be specified when it
     connects to servers/hubs/igates. Closes: #356081.
   * Confirm NMU: FTBFS with G++ 4.1: extra qualifications.
     Closes: #356110.
Files: 
 e3e4613116e24b5b031a8b1235c78f6d 810 hamradio optional aprsd_2.2.5-13-5.dsc
 c14765b62586f853fb8da8620119afe1 9004 hamradio optional aprsd_2.2.5-13-5.diff.gz
 22925fad31bc4e52329f6d576d578a4a 155180 hamradio optional aprsd_2.2.5-13-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH46s1/CqtjGLxpX8RAkLFAJ9LNF5pLUzdJwIo/z7keF1vtobg/QCg1Qts
Vrt5K51nOfntk1BA7iXUhg0=
=P0hA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 May 2008 07:48:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:19:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.